Bug 142257 - system-config-printer fails to load printer list
system-config-printer fails to load printer list
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-08 11:36 EST by Dennis Gilmore
Modified: 2013-04-02 00:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-14 12:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2004-12-08 11:36:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
when system-config-printer  in gui mode tries to read the list of printers it crashes

output as follows

system-config-printer
RuntimeError: can't create const
Traceback (most recent call last):
  File "/usr/sbin/system-config-printer", line 9, in ?
    import queueTree
  File "/usr/share/printconf/util/queueTree.py", line 1236, in ?
    queueTree()
  File "/usr/share/printconf/util/queueTree.py", line 262, in __init__
    self.addQueue = addQueue.addQueue (self, xml)
  File "/usr/share/printconf/util/addQueue.py", line 183, in __init__
    self.druid.finish.set_label (_("Finish"))
AttributeError: '__main__.GnomeDruid' object has no attribute 'finish'
python: Modules/gcmodule.c:231: visit_decref: Assertion `gc->gc.gc_refs != 0' failed.



Version-Release number of selected component (if applicable):
system-config-printer-0.6.116-1

How reproducible:
Always

Steps to Reproduce:
1.start system-config-printer
2.
3.
    

Actual Results:  crashes loading printer list

Expected Results:  Load list of printers

Additional info:
Comment 1 Tim Waugh 2004-12-08 11:59:45 EST
Works fine for me.  Please show me the output of these commands:

rpm -q pygtk2 glade2
rpm -V pygtk2 glade2 system-config-printer
Comment 2 Dennis Gilmore 2004-12-08 12:56:20 EST
glade2 wasnt installed,  so i installed it 
i now have 
rpm -q pygtk2 glade2 
pygtk2-2.4.0-1 
glade2-2.6.0-1 
 
 
rpm -V pygtk2 glade2 system-config-printer 
SM5....T  c /etc/alchemist/namespace/printconf/local.adl 
 
 
Comment 3 Tim Waugh 2004-12-08 13:00:21 EST
How about libglade2?  Is that installed?

Was this a clean install or an upgrade?  If an upgrade, from which previous release?
Comment 4 Dennis Gilmore 2004-12-08 13:04:39 EST
It was an yum upgrade from FC2    
 
 
i have libglade2-2.4.0-5 
 
 
Comment 5 Tim Waugh 2004-12-09 08:50:16 EST
What does this say when you copy it into a bash shell?

python -c 'import gnome.ui; import gtk; import gtk.glade;
x=gtk.glade.XML("/usr/share/printconf/gui/system-config-printer.glade");d=x.get_widget("add_queue_druid");print
d.finish'

It should say this:
<gtk.Button object (GtkButton) at 0xb7bbbaf4>
Comment 6 Dennis Gilmore 2004-12-10 16:12:58 EST
python -c 'import gnome.ui; import gtk; import gtk.glade; 
> 
x=gtk.glade.XML("/usr/share/printconf/gui/system-config-printer.glade");d=x.get_widget("add_queue_druid");print 
> d.finish' 
RuntimeError: can't create const 
 
Traceback (most recent call last): 
  File "<string>", line 3, in ? 
AttributeError: '__main__.GnomeDruid' object has no attribute 
'finish' 
 
 
I checked out the other system-config tools  and have found most work  
but some don't  for instance system-config-securitylevel tells me 
that the password i entered is wrong when i run it as root.  i think 
the yum upgrade went funky  and ill do a clean install. 
 
 
Comment 7 Tim Waugh 2004-12-13 10:43:38 EST
Does it work now?
Comment 8 Dennis Gilmore 2004-12-14 12:54:30 EST
Works fine on fresh install.   

Note You need to log in before you can comment on or make changes to this bug.